%define oname   atk
%global	header_dir	%{ruby_vendorarchdir}

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/ATK is a Ruby binding of ATK-1.0.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(atk)
BuildRequires: rubygem(pkg-config)
BuildRequires: ruby-glib2
BuildRequires: ruby-rake
Requires:   rubygem(gobject-introspection)
BuildArch:  noarch
Obsoletes:  ruby-atk-devel < 3.1.8-1

%description
Ruby/ATK is a Ruby binding of ATK-1.0.x.

%files
%{gem_spec}
%{gem_instdir}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i -e '\@s\.extensions@d' ../%{gem_name}-%{version}.gemspec

%build
%gem_build

%install
%gem_install


%changelog
* Sat Mar 22 2025 pterjan <pterjan> 4.2.9-1.mga10
+ Revision: 2168950
- Update to 4.2.9

* Sun Feb 02 2025 pterjan <pterjan> 4.2.7-1.mga10
+ Revision: 2144429
- Update to 4.2.7

* Wed Dec 25 2024 pterjan <pterjan> 4.2.5-1.mga10
+ Revision: 2130179
- Update to 4.2.5

* Fri Dec 06 2024 pterjan <pterjan> 4.2.4-1.mga10
+ Revision: 2122279
- Update to 4.2.4

* Mon Apr 08 2024 pterjan <pterjan> 4.2.2-1.mga10
+ Revision: 2056021
- Update to 4.2.2

* Sun May 07 2023 daviddavid <daviddavid> 4.1.4-1.mga9
+ Revision: 1956108
- new version: 4.1.4

* Wed Sep 14 2022 pterjan <pterjan> 4.0.3-1.mga9
+ Revision: 1888177
- Update to 4.0.3

* Sat Mar 26 2022 umeabot <umeabot> 3.5.1-3.mga9
+ Revision: 1828642
- Mageia 9 Mass Rebuild

* Sun Mar 06 2022 pterjan <pterjan> 3.5.1-2.mga9
+ Revision: 1789254
- Disable the pseudo extension entirely

* Sat Feb 26 2022 pterjan <pterjan> 3.5.1-1.mga9
+ Revision: 1785372
- Update to 3.5.1

* Thu Mar 05 2020 pterjan <pterjan> 3.4.1-1.mga8
+ Revision: 1553868
- Update to 3.4.1

* Sat Feb 15 2020 umeabot <umeabot> 3.3.6-2.mga8
+ Revision: 1527186
- Mageia 8 Mass Rebuild

* Tue Jul 09 2019 pterjan <pterjan> 3.3.6-1.mga8
+ Revision: 1419800
- Update to 3.3.6

* Sat Jan 26 2019 pterjan <pterjan> 3.3.1-1.mga7
+ Revision: 1360945
- Update to 3.3.1

* Sun Nov 04 2018 pterjan <pterjan> 3.3.0-1.mga7
+ Revision: 1328308
- Update to 3.3.0

* Fri Sep 21 2018 umeabot <umeabot> 3.2.9-2.mga7
+ Revision: 1290788
- Mageia 7 Mass Rebuild

* Wed Aug 29 2018 pterjan <pterjan> 3.2.9-1.mga7
+ Revision: 1255420
- Update to 3.2.9

* Mon Jun 18 2018 pterjan <pterjan> 3.2.7-1.mga7
+ Revision: 1237809
- Update to 3.2.7

* Thu May 17 2018 pterjan <pterjan> 3.2.5-1.mga7
+ Revision: 1230166
- Update to 3.2.5

* Mon Apr 23 2018 pterjan <pterjan> 3.2.4-1.mga7
+ Revision: 1221914
- Update to 3.2.4

* Mon Apr 02 2018 pterjan <pterjan> 3.2.2-1.mga7
+ Revision: 1214627
- Update to 3.2.2

* Sun Apr 01 2018 pterjan <pterjan> 3.2.1-1.mga7
+ Revision: 1214112
- Update to 3.2.1

* Sun Aug 20 2017 pterjan <pterjan> 3.1.8-1.mga7
+ Revision: 1142440
- Update dependencies
- Update to 3.1.8
- Rebuild for new Ruby

* Sat Dec 19 2015 pterjan <pterjan> 3.0.7-2.mga6
+ Revision: 912196
- Remove code already done by our macro

* Sun Nov 01 2015 tv <tv> 3.0.7-1.mga6
+ Revision: 897067
- adjust file list
- new release + sync patches with FC

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-7.mga5
+ Revision: 739107
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-6.mga5
+ Revision: 688748
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.0.2-5.mga4
+ Revision: 562770
- Fix gem macros

* Thu Dec 19 2013 pterjan <pterjan> 2.0.2-4.mga4
+ Revision: 558710
- Update for new binary extensions location

* Mon Dec 16 2013 pterjan <pterjan> 2.0.2-3.mga4
+ Revision: 557506
- Put the .so when it is expected

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 538031
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.0.2-1.mga4
+ Revision: 488337
- new version 2.0.2
- use new gem_install

* Sat Sep 28 2013 fwang <fwang> 1.1.5-6.mga4
+ Revision: 488197
- update file list
- update file list
- use gem_setup
+ pterjan <pterjan>
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 1.1.5-4.mga4
+ Revision: 476769
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 395718
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 380655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 312332
- new version 1.1.5

* Mon Sep 26 2011 fwang <fwang> 1.0.3-1.mga2
+ Revision: 147912
- new version 1.0.3

* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71379
- New version 0.90.8
- drop unneeded patch since glib2 is now in vendorlibdir
- move files in vendorlibdir/vendorarchdir

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49107
- require devel package instead of standard module
- imported package ruby-atk

